html {
  scroll-behavior: smooth;
}

.themeAnimation {
  position: absolute;
  top: 0;
  left: 0;
  width: max(100vw, 450px);
  height: 27vw;
  overflow: hidden;
  background-image: url("../assets/images/theme-pic.png");
  background-size: 45%;
}

.themeAnimation.background {
  top: 10px;
  filter: blur(30px) brightness(150%) saturate(150%) hue-rotate(-30deg);
}

/* The sidebar menu */
.sidenav {
  height: 100vh;
  width: 250px;
  position: fixed;
  top: 0px;
  left: calc(50vw - min(1250px, calc(100vw - 100px))/2);
  z-index: 10;
  background-color: rgb(228, 239, 248);
  padding: 0px 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  box-shadow: 2px 2px 10px rgb(183, 209, 242);
  -ms-overflow-style: none;
  scrollbar-width: none;
  overflow-y: scroll;
  transition: 300ms ease-in-out;
}


/* hide scroll bar */
.sidenav::-webkit-scrollbar {
  display: none;
}

.sidenav div {
  padding: 10px 10px;
}

.sidenav .profilePic {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: royalblue;
  overflow: hidden;
}

.sidenav .profilePic img {
  transform: scale(1.4) translateY(2px);
}

.sidenav .profileDesc {
  font-size: x-large;
  font-family: "Exo", serif;
  margin-top: 10px;
  margin-bottom: -20px;
}

/* icons */
.sidenav .profileButtons {
  display: flex;
  justify-content: center;
  align-items: center;
}

.sidenav .profileButtons .profileButton {
  color: darkblue;
  padding: 10px 10px;
  font-size: 30px;
  cursor: pointer;
  transition: ease-in-out 300ms;
}

.sidenav .profileButtons .profileButton:hover {
  transform: translateY(-5px);
  color: royalblue;
}

.sidenav .profileButtons .profileSpecialButton {
  width: 25px;
  height: 25px;
  color: rgb(228, 239, 248);
  background-color: darkblue;
  border-radius: 5px;
  position: relative;
  margin-right: 20px;
  left: 10px;
  bottom: 1px;
  font-size: 17px;
  cursor: pointer;
  transition: ease-in-out 300ms;
}

.sidenav .profileButtons .profileSpecialButton:hover {
  transform: translateY(-5px);
  background-color: royalblue;
}

/* The navigation menu links */
.sidenav a {
  font-family: "Montserrat", sans-serif;
  font-weight: 100;
  text-decoration: none;
  font-size: 12px;
  color: royalblue;
  text-decoration: underline 0.1em rgba(0, 0, 0, 0);
  text-underline-offset: 0.5em;
  transition: text-decoration-color 300ms;
}

.sidenav a:hover {
  color: darkblue;
  text-decoration-color: darkblue;
}

.sidenav a.active {
  color: darkblue;
  text-decoration-color: darkblue;
}

.sidenav .footer {
  color: lightslategrey;
  font-size: 14px;
  font-family: "Lato", sans-serif;
  font-weight: 100;
  margin-top: 30px;
}

.sidenav .footer .heart {
  color: rgba(226, 62, 62, 0.952);
}

.content {
  transition: 300ms ease-in-out;
  position: absolute;
  max-width: 950px;
  width: calc(100vw - 400px);
  top: 30vw;
  left: calc(50vw - min(1250px, calc(100vw - 100px))/2 + 300px);
}

.contentItem {
  padding: 100px 10px;
}

.contentItem .header {
  opacity: 0;
  transform: translateX(60px);
  transition: 500ms;
  font-family: "Exo", serif;
  font-size: 24px;
  font-weight: 500;
  padding-bottom: 50px;
}

.contentItem .header.show {
  transform: translateX(0);
  opacity: 1;
}

.contentItem .body {
  font-family: "Lato", sans-serif;
  font-weight: 100;
  color: rgb(110, 111, 117);
}

.contentItem .body .bodyText {
  font-family: "Exo", serif;
  transform: translateX(70px);
  transition: ease-in-out 500ms;
  opacity: 0;
  margin: 0px 5%;
}

.contentItem .body .bodyText.award {
  color: darkblue;
  transition: ease-in-out 800ms;
}

.contentItem .body .bodyText.show {
  transform: translateX(0);
  margin-bottom: 50px;
  opacity: 1;
}

.modalPreview {
  width: 90%;
  height: 250px;
  display: block;
  z-index: 1;
  position: relative;
  margin: 0 auto;
  margin-top: 20px;
  margin-bottom: 100px;
  border-radius: 20px;
  box-shadow: 2px 2px 10px rgb(183, 209, 242);
  background-color: rgb(228, 239, 248);
  transition: 500ms ease-in-out;
  transform: translateX(100px);
  opacity: 0;
  overflow: hidden;
}

.modalPreview.show {
  transform: translateX(0);
  opacity: 1;
}

.modalPreview .arrow {
  width: 100%;
  height: 30px;
  color: darkblue;
  pointer-events: none;
  cursor: pointer;
  opacity: 0;
  position: absolute;
  bottom: 0;
  text-align: center;
  background-image: linear-gradient(to bottom, rgb(228, 239, 248), rgb(183, 209, 242));
  animation: bobUpAndDown 1s linear infinite;
  z-index: 3;
}

@keyframes bobUpAndDown {
  0% {}

  50% {
    transform: translateY(10px);
  }

  100% {}
}

.modalPreview:hover {
  transform: translateY(-10px);
  box-shadow: 2px 8px 25px rgb(183, 209, 242);
}

.modalPreview .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 250px;
  z-index: 1;
  background: linear-gradient(to bottom, rgba(0,0,0,0) 75%, rgb(228, 239, 248));
  opacity: 0;
  transition: opacity 500ms ease-in-out;
}

.modalPreview .overlay.active {
  opacity: 1;
}

/* Include logo picture (left) and description (right) */
.modalPreview .preview {
  pointer-events: none;
  display: flex;
  justify-content: left;
}

.modalPreview .preview.collapse {
  display: block;
}

.modalPreview .preview .logoRef {
  z-index: 4;
}

.modalPreview .preview .logoRef.collapse {
  width: 90%;
  margin: auto;
  margin-top: 30px;
  margin-bottom: 10px;
}

.modalPreview .preview .logo {
  pointer-events: all;
  margin: 35px;
  width: 180px;
  height: 180px;
  border-radius: 40px;
  border: thin darkblue 5px;
  z-index: 4;
}

.modalPreview .preview .logo.collapse {
  margin: auto;
}

.modalPreview .preview .logo img {
  position: relative;
  border-radius: 30px;
  left: 15px;
  top: 15px;
  width: 150px;
  height: 150px;
}

.modalPreview .preview .previewText {
  position: relative;
  padding-right: 30px;
}

.modalPreview .preview .previewText.collapse {
  width: 90%;
  padding-right: 0;
  margin: 0 auto;
}

.modalPreview .preview .heading {
  padding-top: 30px;
  color: darkblue;
  font-weight: 700;
  font-size: larger;
  font-family: "Exo", serif;
}

.modalPreview .preview .subHeading {
  padding-top: 10px;
  font-family: "Exo", serif;
}

.modalPreview .preview .subHeading span {
  color: rgb(110, 111, 117);
}

.modalPreview .preview .buttons {
  position: absolute;
  right: 30px;
  top: 20px;
  pointer-events: all;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 4;
}

.modalPreview .preview .button {
  color: darkblue;
  padding: 10px 10px;
  font-size: 30px;
  cursor: pointer;
  transition: ease-in-out 300ms;
}

.modalPreview .preview .button:hover {
  transform: translateY(-5px);
  color: royalblue;
}
 
.modalPreview .preview .text {
  padding-top: 20px;
  padding-bottom: 30px;
  font-family: "Exo", serif;
}

.modalPreview .rest {
  font-family: "Exo", serif;
  margin-top: 40px;
  margin-bottom: 40px;
  margin-left: 5%;
  width: 90%;
  z-index: 10;
}

.modalPreview .rest .heading {
  font-size: larger;
  color: darkblue;
}

.modalPreview .rest .section {
  padding-top: 20px;
  color: royalblue;
}

.modalPreview .rest .video {
  width: 100%;
  margin: 20px 0px;
  border-radius: 20px;
  border: solid royalblue 0.5px;
  box-shadow: 0px 0px 10px darkblue;
  z-index: 100;
}

#awards {
  margin-bottom: 250px;
}